<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC
    "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
    "http://struts.apache.org/dtds/struts-2.0.dtd">

<struts>
	
	<!-- Actions relacionados con contrato -->
	<package name="terminosT" namespace="/contrato/transaccion/terminos" extends="struts-default,json-default">

		<action name="index" >
			<result name="success">/jsp/dda/contrato/transaccion/terminos/terminos.jsp</result>
		</action>		
		
		<action name="obtenerTerminos"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosTransaccionAction" method="obtenerTerminos">
			<result type="json" />
		</action>
		
		<action name="obtenerPremium"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosPremiumAction" method="obtener">			
			<result type="json" />
		</action>
		
		<action name="guardarPremium"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosPremiumAction" method="guardar">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerPremier"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosPremierAction" method="obtener">			
			<result type="json" />
		</action>
		
		<action name="guardarPremier"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosPremierAction" method="guardar">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerLibreria"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosLibreriaAction" method="obtener">			
			<result type="json" />
		</action>
		
		<action name="guardarLibreria"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosLibreriaAction" method="guardar">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
				
		<action name="obtenerMovies"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosMoviesAction" method="obtener">			
			<result type="json" />
		</action>
		
		<action name="guardarMovies"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosMoviesAction" method="guardar">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerSeries"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosSeriesAction" method="obtener">			
			<result type="json" />
		</action>
		
		<action name="guardarSeries"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosSeriesAction" method="guardar">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>				
								
																								
		<action name="descargar"  class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosTransaccionAction" method="descargar">			
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				
			</result>	
		</action>
		
		<action name="cargaArchivo" method="cargaArchivo" class="com.mx.dla.dda.contrato.transaccion.terminos.actions.TerminosTransaccionAction">
			<result type="json">
			</result>
		</action>
	</package>
	
	<package name="titulosT" namespace="/contrato/transaccion/titulo" extends="struts-default,json-default">

		<action name="index" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloTransAction">
			<result>/jsp/dda/contrato/transaccion/titulo/index.jsp</result>
		</action>
				
		<action name="obtenerCatalogos" method="obtenerDatosInicio" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloTransAction">
			<result type="json"></result>
		</action>		
		
		<action name="obtenerTitulos" method="obtenerTitulos" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloGridTransAction">
			<result type="json"/>			
		</action>
		
		<action name="obtenerTitulosSeries" method="obtenerTitulosSeries" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloGridTransAction">
			<result type="json"/>			
		</action>
		
		<action name="*Titulo" method="{1}Titulo" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloGridTransAction">			
			<result type="json"/>			
		</action>
		
		<action name="guardarCambiosPermanente" method="guardarCambiosPermanente" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloTransAction">
			<result type="json"/>
		</action>											
								
		<action name="descarga" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloTransAction" method="descargar">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>
								
		<action name="cargaMasiva" method="cargaMasiva" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloTransAction">
			<result type="json" />			
		</action>
		
		<action name="descargaErrores" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloTransAction" method="descarArchivoErrores">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>
		
		<action name="buscarListas" method="buscarListas" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloTransAction">
			<result type="json" />			
		</action>
		
		
		
		<action name="listadoTitulosPrincipal" method="listarPrincipalTitulos" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloGridTransAction">
			<result type="json"/>			
		</action>
		
		<action name="listadoTitulosSeries" method="listarSeriesTitulos" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloGridTransAction">
			<result type="json"/>			
		</action>
		
		<action name="listadoTitulosDetalle" method="listarDetalleTitulos" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloGridTransAction">
			<result type="json"/>			
		</action>
		
		<action name="listadoTitulosEnLista" method="listarTitulosEnLista" class="com.mx.dla.dda.contrato.transaccion.titulos.actions.TituloGridTransAction">
			<result type="json"/>			
		</action>
		
										
	</package>
	
	<package name="cargaTransacciones" namespace="/carga/transacciones" extends="struts-default,json-default">
		
		<action name="index">
			<result name="success">/jsp/dda/carga/transaccion/cargaTransacciones.jsp
			</result>
		</action>
		
		<action name="consultarCarga" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="consultarCarga">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="cargaArchivo" class="com.mx.dla.dda.carga.transaccion.actions.CargaArchivoTransaccionesAction" method="cargaArchivo">
			<result type="json">
			</result>
		</action>
		
		<action name="reCalculoPago" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="reCalculoPago">
	        <result type="json"/>
		</action>
		
		<action name="obtenerVistaPrevia" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerVistaPrevia">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerjsonVistaPrevia" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerjsonVistaPrevia">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="generaReporteVistaPreviaAction" 
		    class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction"
		    method="generaReporteVistaPreviaAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_ResumenCargaTransacciones.xlsx"</param>
			</result>
		</action>
		
		<action name="reporteVistaPrevia" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="reporteVistaPrevia">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerDetalleResumenCarga" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerDetalleResumenCarga">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerListadoErrAsocTitulos" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerListadoErrAsocTitulos">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		
		<action name="obtenerTitulosdelaCarga" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerTitulosdelaCarga">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerResumenCarga" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerResumenCarga">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerResumenCargaIdTrans" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerResumenCargaIdTrans">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerSinIdBroadView" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerSinIdBroadView">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerIdBroadViewNoExiste" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerIdBroadViewNoExiste">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerTituloyFilialNoExiste" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerTituloyFilialNoExiste">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="obtenerTituloFueradePeriodo" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="obtenerTituloFueradePeriodo">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="actualizarIdBv" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="actualizarIdBv">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="validaCarga" class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction" method="validaCarga">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="descargaArchivo" class="com.mx.dla.dda.carga.transaccion.actions.DescargaArchivosTransaccionesAction" method="descargaArchivo">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	            <param name="contentType">application/json;charset=UTF-8</param>
	        </interceptor-ref>
	        
	        <result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
			    <param name="inputName">fileInputStream</param>
			</result>
		</action>
		
		<action name="descargaArchivoVistaPrevia" class="com.mx.dla.dda.carga.transaccion.actions.DescargaArchivosTransaccionesAction" method="descargaArchivoVistaPrevia">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	            <param name="contentType">application/json;charset=UTF-8</param>
	        </interceptor-ref>
	        
	        <result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
			    <param name="inputName">fileInputStream</param>
			</result>
		</action>
		
		<action name="descargaReporteErrorResumenCarga" class="com.mx.dla.dda.carga.transaccion.actions.DescargaArchivosTransaccionesAction" method="descargaReporteErrorResumenCarga">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>
		
		<action name="descargaReporteErrAsocTitulos" class="com.mx.dla.dda.carga.transaccion.actions.DescargaArchivosTransaccionesAction" method="descargaReporteErrAsocTitulos">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>
		
		<action name="descargaPlantillaTransacciones" 
		    class="com.mx.dla.dda.carga.transaccion.actions.CargaTransaccionesAction"
		    method="descargaPlantillaTransacciones">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_plantilla-CargaTransaccion.xlsx"</param>
			</result>
		</action>

	</package>
	
	<!-- ACTIONS PARA OPCION "CONTRATO / PROMOCIONES" -->
	<package name="promociones" namespace="/contrato/promociones" extends="struts-default,json-default">
		    <action name="index" >
					<result name="success">/jsp/dda/contrato/promociones/promociones.jsp</result>
			</action>
			
			<action name="obtenerPromociones" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="obtenerPromociones">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="obtenerPromocionesVigentes" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="obtenerPromocionesVigentes">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="eliminaPromocion" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="eliminaPromocion">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="eliminaTitulosPromocion" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="eliminaTitulosPromocion">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="obtenerEstudios" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="obtenerEstudios">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="obtenerPaises" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="obtenerPaises">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="obtenerTitulos" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="obtenerTitulos">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="obtenerTitulosTodos" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="obtenerTitulosTodos">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="creaPromocion" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="creaPromocion">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="registraPromocionTitulos" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="registraPromocionTitulos">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="actualizaPromocion" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="actualizaPromocion">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>
			
			<action name="obtenerPromocionTitulos" class="com.mx.dla.dda.contrato.promociones.actions.PromocionesAction" method="obtenerPromocionTitulos">
				<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        	</interceptor-ref>
	        	<result type="json"/>
			</action>

	</package>
	
	
	<package name="minimoGarantizado" namespace="/contrato/transaccion/minimoGarantizado" extends="default">

		<action name="index" 
		    class="com.mx.dla.dda.contrato.transaccion.minimoGarantizado.actions.MinimoGarantizadoAction" 
		    method="primeraCarga"> 	
	 		<result name="success">/jsp/dda/contrato/transaccion/minimoGarantizado/minimoGarantizado.jsp	 
            </result>
		</action>
		
		<action name="cargaMinimoGarantizadoData"
		 	class="com.mx.dla.dda.contrato.transaccion.minimoGarantizado.actions.MinimoGarantizadoAction"
			method="consultaInformacion">
			<result type="json" />
		</action>		
	
	</package>
				
</struts>